org.eclipse.jdt.core.refactoring.descriptors

## Class ConvertLocalVariableDescriptor

- java.lang.Object
- - org.eclipse.ltk.core.refactoring.RefactoringDescriptor
  - - org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringDescriptor
    - - org.eclipse.jdt.core.refactoring.descriptors.ConvertLocalVariableDescriptor

All Implemented Interfaces:
  Comparable<RefactoringDescriptor>

    public final class ConvertLocalVariableDescriptor
    extends JavaRefactoringDescriptor

Refactoring descriptor for the convert local variable refactoring.

An instance of this refactoring descriptor may be obtained by calling `RefactoringContribution.createDescriptor()` on a refactoring contribution requested by invoking `RefactoringCore.getRefactoringContribution(String)` with the appropriate refactoring id.

Note: this class is not intended to be instantiated by clients.

Since:
  1.1
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

### Fields inherited from class org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringDescriptor

`ATTRIBUTE_ELEMENT, ATTRIBUTE_INPUT, ATTRIBUTE_NAME, ATTRIBUTE_REFERENCES, ATTRIBUTE_SELECTION, ATTRIBUTE_VERSION, fArguments, JAR_MIGRATION, JAR_REFACTORING, JAR_SOURCE_ATTACHMENT, VALUE_VERSION_1_0`

### Fields inherited from class org.eclipse.ltk.core.refactoring.RefactoringDescriptor

`BREAKING_CHANGE, ID_UNKNOWN, MULTI_CHANGE, NONE, STRUCTURAL_CHANGE, USER_CHANGE`

### Constructor Summary

Constructors
Constructor and Description
`ConvertLocalVariableDescriptor()` Creates a new refactoring descriptor.
`ConvertLocalVariableDescriptor(String project, String description, String comment, Map<String,String> arguments, int flags)` Creates a new refactoring descriptor.

### Method Summary

### Methods inherited from class org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringDescriptor

`createRefactoring, elementToHandle, getArguments, handleToElement, handleToElement, handleToElement, handleToResource, populateArgumentMap, resourceToHandle, setComment, setDescription, setFlags, setProject, validateDescriptor`

### Methods inherited from class org.eclipse.ltk.core.refactoring.RefactoringDescriptor

`compareTo, createRefactoringContext, equals, getComment, getDescription, getFlags, getID, getProject, getTimeStamp, hashCode, setTimeStamp, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConvertLocalVariableDescriptor

    public ConvertLocalVariableDescriptor()

Creates a new refactoring descriptor.

#### ConvertLocalVariableDescriptor

    public ConvertLocalVariableDescriptor(String project,
                                          String description,
                                          String comment,
                                          Map<String,String> arguments,
                                          int flags)

Creates a new refactoring descriptor.

Parameters:
  `project` - the non-empty name of the project associated with this refactoring, or `null` for a workspace refactoring
  `description` - a non-empty human-readable description of the particular refactoring instance
  `comment` - the human-readable comment of the particular refactoring instance, or `null` for no comment
  `arguments` - a map of arguments that will be persisted and describes all settings for this refactoring
  `flags` - the flags of the refactoring descriptor
Since:
  1.2